Subject: [PATCH 04/11] MFD: twl4030-audio: Add DT support

From: [email-masked] (Mark Brown)
Date: Sun, 12 Aug 2012 19:50:12 +0100

On Thu, Aug 09, 2012 at 04:53:26PM +0300, Peter Ujfalusi wrote:
> On 08/09/2012 01:36 PM, Mark Brown wrote:

> > Is there any actual case where an external mute is supplied via a
> > mechanism other than a GPIO, and if there is would it not either need
> > its own DT property or already need to interact with the driver from
> > code, making the DT property redundant?

> Not with my knowledge. The only board using it is the zoom2 upstream. I know
> other boards (not in upstream) which either uses the internal mute or GPIO.

OK, so we can probably only support GPIO for now then worry about other
external mutes when there's something to work with.